@font-face {
    font-family: kalameh;
    src: url("../fonts/KalamehWeb-Medium.woff2");
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: kalameh;
}

body {
    background-color: #1A374D;
}

/* MUSIC START */

.home {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    padding: 0 10px;
    margin: 10px 0;
}

.home-container {
    display: flex;
    align-items: flex-start;
    justify-content: space-between;
    width: 1200px;
    gap: 20px;
}

.home-rast,
.home-chap {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    gap: 10px;
    width: 264px;
    top: 10px;
    position: sticky;
}

.home-vasat {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    gap: 20px;
    width: 633px;
    padding: 10px;
    border-radius: 10px;
    background-color: #172f3f;
    border: 2px solid #172f3f;
}

.music-title {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    padding: 10px;
    border-radius: 5px;
    border: 2px solid #1A374D;
    background-color: #1A374D;
    width: 100%;
    gap: 10px;
    color: white;
}

.music-title i {
    color: royalblue;
    background-color: #172f3f;
    padding: 12px;
    border-radius: 5px;
    font-size: 20px;
}

.music-img {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
}

.music-img img {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    border-radius: 5px;
}

.music-text {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    gap: 10px;
    width: 100%;
    text-align: center;
    color: white;
}

.music-text p {
    font-size: 14px;
}

.plyr {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    border-radius: 5px;
}

.plyr--audio .plyr__controls {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    background-color: #1A374D;
    color: white;
}

.ni-widget-header-span,
.ni-ellipsis {
    color: white !important;
    transition: .3s all;
}

.ni-ellipsis:hover {
    color: red !important;
}

.music-ad {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    width: 100%;
    border-radius: 5px;
    border: 4px solid #1A374D;
}

.music-ad-title {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    width: 100%;
    padding: 10px;
    background-color: #1A374D;
    gap: 10px;
    color: white;
    font-size: 18px;
}

.music-ad-title i {
    color: royalblue;
    padding: 12px;
    background-color: #172f3f;
    border-radius: 5px;
    font-size: 20px;
}

.music-ad-banners {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    width: 100%;
    gap: 5px;
}

.music-ad-banner {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    width: 100%;
    padding: 5px;
}

.music-ad-banner img {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    border-radius: 5px;
}

.music-about {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100%;
    gap: 10px;
}

.music-about-artist,
.music-about-date,
.music-about-seen {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 5px;
    color: white;
    font-size: 12px;
}

.music-about-artist p {
    display: inline-block;
    width: 100%;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    max-width: 200px;
    /* حداکثر عرض را مشخص کنید */
}

.music-download {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
}

.music-download a {
    text-decoration: none;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    padding: 10px;
    border-radius: 5px;
    background-color: royalblue;
    color: white;
    border: 2px solid royalblue;
    transition: all .5s;
}

.music-download a:hover {
    background-color: rgb(52, 84, 179);
}

/* MUSIC END */












/* RESPONSIVE START */

@media screen and (max-width:480px) {

    .home-container {
        display: flex;
        align-items: center;
        justify-content: center;
        flex-direction: column;
        width: 100%;
    }

    .home-vasat {
        width: 100%;
    }

    .home-rast,
    .home-chap {
        position: unset;
        width: 100%;
    }

    .home-rast {
        order: 2;
    }

    .home-chap {
        order: 1;
    }

}

@media screen and (min-width:481px) and (max-width:665px) {

    .home-container {
        display: flex;
        align-items: center;
        justify-content: center;
        flex-direction: column;
        width: 100%;
    }

    .home-vasat {
        width: 100%;
    }

    .home-rast,
    .home-chap {
        position: unset;
        width: 100%;
    }

    .home-rast {
        order: 2;
    }

    .home-chap {
        order: 1;
    }

}

@media screen and (min-width:666px) and (max-width:1220px) {

    .home-container {
        display: flex;
        align-items: center;
        justify-content: center;
        flex-direction: column;
        width: 100%;
    }

    .home-vasat {
        width: 100%;
    }

    .home-rast,
    .home-chap {
        position: unset;
        width: 100%;
    }

    .home-rast {
        order: 2;
    }

    .home-chap {
        order: 1;
    }

}

/* RESPONSIVE END */